<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateFaqsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: faqs
         */
        Schema::create('faqs', function ($table) {
            $table->increments('id');
            $table->string('question', 300)->nullable();
            $table->text('answer')->nullable();
            $table->string('category', 20)->nullable();
            $table->integer('sort_order')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('faqs');
    }
}
