<?php

namespace Bixo\CrmRequests;

use DB;
use Illuminate\Database\Seeder;

class FaqTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('faqs')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'crm_requests.faq.view',
                'name'      => 'View Faq',
            ],
            [
                'slug'      => 'crm_requests.faq.create',
                'name'      => 'Create Faq',
            ],
            [
                'slug'      => 'crm_requests.faq.edit',
                'name'      => 'Update Faq',
            ],
            [
                'slug'      => 'crm_requests.faq.delete',
                'name'      => 'Delete Faq',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/crm_requests/faq',
                'name'        => 'Faq',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/crm_requests/faq',
                'name'        => 'Faq',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'faq',
                'name'        => 'Faq',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CrmRequests',
                'module'    => 'Faq',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'crm_requests.faq.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
