<?php

namespace Bixo\CrmRequests\Repositories\Eloquent;

use Bixo\CrmRequests\Interfaces\FaqRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class FaqRepository extends BaseRepository implements FaqRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.crm_requests.faq.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.crm_requests.faq.model.model');
    }
}
