<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for faq in crm_requests package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  faq module in crm_requests package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Faq',
    'names'         => 'Faqs',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Faqs',
        'sub'   => 'Faqs',
        'list'  => 'List of faqs',
        'edit'  => 'Edit faq',
        'create'    => 'Create new faq'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'question'                   => 'Please enter question',
        'answer'                     => 'Please enter answer',
        'category'                   => 'Please enter category',
        'sort_order'                 => 'Please enter sort order',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'question'                   => 'Question',
        'answer'                     => 'Answer',
        'category'                   => 'Category',
        'sort_order'                 => 'Sort order',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'question'                   => ['name' => 'Question', 'data-column' => 1, 'checked'],
        'answer'                     => ['name' => 'Answer', 'data-column' => 2, 'checked'],
        'category'                   => ['name' => 'Category', 'data-column' => 3, 'checked'],
        'sort_order'                 => ['name' => 'Sort order', 'data-column' => 4, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Faqs',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
