    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#details" data-toggle="tab">  {!! trans('crm_requests::faq.name') !!}</a></li>
            <div class="box-tools pull-right">
                                <button type="button" class="btn btn-success btn-sm" data-action='NEW' data-load-to='#crm_requests-faq-entry' data-href='{{guard_url('crm_requests/faq/create')}}'><i class="fa fa-plus-circle"></i> {{ trans('app.new') }}</button>
                @if($faq->id )
                <button type="button" class="btn btn-primary btn-sm" data-action="EDIT" data-load-to='#crm_requests-faq-entry' data-href='{{ guard_url('crm_requests/faq') }}/{{$faq->getRouteKey()}}/edit'><i class="fa fa-pencil-square"></i> {{ trans('app.edit') }}</button>
                <button type="button" class="btn btn-danger btn-sm" data-action="DELETE" data-load-to='#crm_requests-faq-entry' data-datatable='#crm_requests-faq-list' data-href='{{ guard_url('crm_requests/faq') }}/{{$faq->getRouteKey()}}' >
                <i class="fa fa-times-circle"></i> {{ trans('app.delete') }}
                </button>
                @endif
            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('crm_requests-faq-show')
        ->method('POST')
        ->files('true')
        ->action(guard_url('crm_requests/faq'))!!}
            <div class="tab-content clearfix disabled">
                <div class="tab-pan-title"> {{ trans('app.view') }}   {!! trans('crm_requests::faq.name') !!}  [{!! $faq->name !!}] </div>
                <div class="tab-pane active" id="details">
                    @include('crm_requests::admin.faq.partial.entry', ['mode' => 'show'])
                </div>
            </div>
        {!! Form::close() !!}
    </div>