<?php

// web routes  for faq
Route::prefix('{guard}/crm_requests')->group(function () {
    Route::resource('faq', 'FaqResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'FaqResourceController');
            });
            // Public routes for pages
            Route::get('crm_requests/', 'FaqPublicController@index');
            Route::get('crm_requests/{slug?}', 'FaqPublicController@show');
        }
    );
}

